#### D.11.2.5 leftKernel

Procedure from library `control.lib` (see control_lib).

Usage:
  leftKernel(M); M a matrix

Return:
  module

Purpose:
  computes left kernel of matrix M (a module of all elements v such that vM=0)

Example:

    LIB "control.lib";
    ring r= 0,(x,y,z),dp;
    matrix M[3][1] = x,y,z;
    print(M);
    ==> x,
    ==> y,
    ==> z
    matrix L = leftKernel(M);
    print(L);
    ==> 0, -z,y,
    ==> -y,x, 0,
    ==> -z,0, x
    // check:
    print(L*M);
    ==> 0,
    ==> 0,
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.